﻿/*  =================================================================
    Folder tree icons
    ==================================================================
*/
.treeIcon {
    padding: 0;
    margin-right: 4px;
}

.treeIcon[src="#"]
{
    visibility: hidden;
}

.cn-folder-tree .webix_tree_item img {
    float: left;
    padding-top: 4px;
}

.cn-folder-tree .webix_tree_open,
.cn-folder-tree .webix_tree_close {
    background-image: none;
    font-family: FontAwesome;
    font-size: 15px;
    text-align: center;
}

.cn-folder-tree .webix_selected .webix_tree_close,
.cn-folder-tree .webix_selected .webix_tree_open {
    color: #555555;
}
.cn-folder-tree .webix_tree_close:before {
    content: "\f105";
}
.cn-folder-tree .webix_tree_open:before {
    content: "\f107";
}
.cn-folder-tree .webix_tree_item.webix_selected span {
    padding: 2px 6px 2px 2px;
    margin-left: -2px;
}
.cn-folder-tree .webix_tree_item.cn_nonfocus_selected span {
    color: #222222;
    background: #fed49a;
    border: 1px solid #fea223 !important;
}

/*  =================================================================
    Colors
    ==================================================================
*/
.webix_layout_toolbar.webix_toolbar {
    background-color: #D52B1E;
    border-color:     #D52B1E;
}

.webix_layout_toolbar.webix_toolbar .webix_img_btn:hover,
.webix_layout_toolbar.webix_toolbar .webix_img_btn_top:hover {
    background-color: #A71930;
}

.whiteButtons .webix_layout_toolbar.webix_toolbar .webix_img_btn:hover,
.whiteButtons .webix_layout_toolbar.webix_toolbar .webix_img_btn_top:hover,
div.whiteButtons.webix_layout_toolbar.webix_toolbar .webix_img_btn:hover,
div.whiteButtons.webix_layout_toolbar.webix_toolbar .webix_img_btn_top:hover {
    background-color: #777;
}

.whiteButtons .webix_img_btn:focus,
.whiteButtons .webix_img_btn:active {
    background-color: inherit !important; /* TODO MALU try to find a solution that doesn't need !important */
}

.webix_img_btn:focus,
.webix_img_btn:active {
    background-color: #A71930 !important; /* TODO MALU try to find a solution that doesn't need !important */
}

.webix_tree_item.webix_selected span {
    background-color: transparent;
}

.webix_list_item.webix_selected,
.webix_tree_item.webix_selected {
    background: #CBC7BF;
    /*border: 1px solid #928B81;*/
}

.webix_tree_item.webix_selected span {
    color: #444;
}

.webix_dd_drag_column,
.webix_ss_header,
.webix_ss_header TD,
.webix_ss_vscroll_header {
    background-color: #CBC7BF;
    border-color:     #CBC7BF;
}
/*
div[view_id="objectTable"] .webix_ss_header td,
div[view_id="objectTable"] .webix_ss_vscroll_header,
div[view_id="objectFavoriteTable"] .webix_ss_header td,
div[view_id="objectFavoriteTable"] .webix_ss_vscroll_header {
    background-color: #D52B1E;
    border-color:     #D52B1E;
    color: #fefefe;
}
*/
div[webix-ui="favoriteTabBar"] div.webix_item_tab {
    /*background-color: #A71930;
    border-color:     #A71930;
    color: #fefefe;*/
    /*
    background-color: #D52B1E;
    border-color:     #D52B1E;
    color: #444;*/
}

div[webix-ui="favoriteTabBar"] div.webix_item_tab.webix_selected {
    /*background-color: #D52B1E;
    border-color:     #D52B1E;
    color: #fefefe;*/

    background-color: #D52B1E;
    border-color:     #D52B1E;
    /*color: #444;*/
}

.webix_after_all_tabs {
    background-color: #D52B1E;
}

div[view_id="searchToolbar"] div {
    /*background-color: #CBC7BF;*/
    background-color: #f2f2f2;
    border-color: #CBC7BF;
    color: #444;
}

div[view_id="searchToolbar"] div.webix_layout_toolbar.webix_toolbar {
    /*background-color: #CBC7BF;*/
    background-color: #f2f2f2;
    color: #444;
}

/*.webix_img_btn:focus,
.webix_img_btn:active {
    background-color: #d52b1e !important;
}*/

div[view_id="searchToolbar"] .webix_layout_toolbar.webix_toolbar .webix_img_btn:hover,
div[view_id="searchToolbar"] .webix_layout_toolbar.webix_toolbar .webix_img_btn_top:hover {
    /*background-color: #A71930;*/
    background-color: #D7D6C9 !important;
    color: #444;
}

div[view_id="searchToolbar"]  span.webix_icon_btn::before {
    /*color: #CBC7BF;*/
    color: #444;
}

div[view_id="searchToolbar"] div[view_id="nodeSearch"] label.webix_inp_label  {
    color: #444;
}

div[view_id="searchToolbar"] span.webix_input_icon.fa-search::before {
    /*color: #CBC7BF;*/
    color: #444;
}

div[view_id="searchToolbar"] .webix_layout_toolbar.webix_toolbar input[type=text] {
    border: 1px solid #CBC7BF;
}
div[view_id="searchField"] label {
    display: none;
}

.webix_el_box .webixtype_form {
    background-color: #D52B1E;
    border-color:     #D52B1E;
}

.webix_el_box .webixtype_form:hover {
    background-color: #A71930;
}
div[webix-ui="objectTable"] tr:nth-child(3) td {
    background-color: #f2f2f2;
}
/*  =================================================================
    MISC
    ==================================================================
*/
.webix_tree *::-webkit-scrollbar {
    display: none;
}

.webix_row_select a {
    color: #222222;
}

.webix_tooltip a {
    color: #555555;
    text-decoration: none;
}

.webix_template {
    margin: 0;
    padding: 0;
}

.container {
    width: 100%;
    height: 100%;
}

.ng-scope {
    width: 100%;
    height: 100%;
}

.active {
    color: red;
    font-weight: bold;
}

.flex {
    display: flex;
}

.flex-auto {
    flex: auto;
}

.flex-column {
    flex-flow: column;
}

.flex-row {
    flex-flow: row;
}

.flex-center {
    justify-content: center;
    align-items: center;
}

.centerText .webix_img_btn {
    text-align: center;
}

div[view_id=loginForm] {
    border-radius: 10px;
}

div[view_id=loginForm] input {
    width: 99% !important;
}

div[view_id=loginForm] button[role=checkbox] {
    float: right;
    overflow: hidden;
}

div[view_id=loginForm] .webix_inp_label {
    color: #fefefe;
}

.webix_control .webix_disabled_box .webix_img_btn {
    background-color: #D52B1E;
}

div[view_id="topicForm"] button.webix_img_btn:active,
div[view_id="topicForm"] button.webix_img_btn:focus {
    background-color: #CBC7BF !important;
}

div[view_id="topicForm"] button[view_id="mobileToggle"].webix_img_btn:active,
div[view_id="topicForm"] button[view_id="mobileToggle"].webix_img_btn:focus {
    background-color: #fefefe !important;
}

div[view_id="topicForm"] button[disabled="true"].webix_img_btn {
    background-color: transparent !important;
    border: none;
}

/*

    Specific css for Komponent-light

*/
div[view_id="documents"] a
{
    color: blue;
    text-decoration: underline;
}